<?php

function mt_menu_shortcode( $atts ) {
	
	// Attributes
	extract( shortcode_atts(
		array(
			'number' => '-1',
			'category' => '',
			'columns' => '3',
			'title' => '', 
			'style' => 'fresh',
		), $atts )
	);

	// Creating custom query to fetch the project type custom post.
    $scmenu = new WP_Query( 
		array(
			'post_type' => 'menu',  
			'posts_per_page' => $number, 
			'category_name' => $category
			)
		);
	
	// Looping through the posts and building the HTML structure.
    if($scmenu)	{ 
		
		$output .= '<section id="mt-menu"><div class="grid grid-pad">';
		
		$output .= '<div class="col-1-1 menu-title">';
			
			$output .=	'<h2>' . $title . '</h2>'; 
			
 			$output .= '</div>'; 
		
        while ( $scmenu->have_posts() ) 
		{
			
			if ( $style=='fresh' ) : 	 
			
            $scmenu->the_post();
			
			$post_meta_health_info = get_post_meta( get_the_ID(), 'mt-health-info', TRUE );
			$post_meta_price = get_post_meta( get_the_ID(), 'mt-price', TRUE );
             
			$output .= '<div class="col-1-' . $columns . ' mt-column-clear"><div class="menu-item">';
			
  			$output .=  get_the_post_thumbnail( get_the_ID(), 'fresh-menu-image' ); 
			
            $output .=	'<h5>'.get_the_title(). '<span class="price">'. wp_kses_post( $post_meta_price ) . '</span></h5>';
			
			
			if ( get_post_meta( get_the_ID(), 'mt-health-info', TRUE ) ): 
			$output .=	'<strong>'. wp_kses_post( $post_meta_health_info ) . '</strong>'; 
			endif;
			 
            $output .=	'<p>'.get_the_content().'</p>';
			
			
            $output .= '</div></div>';  
			
			endif;
			
			if ( $style=='traditional' ) :
			
			
            $scmenu->the_post();
			 
			$post_meta_health_info = get_post_meta( get_the_ID(), 'mt-health-info', TRUE );
			$post_meta_price = get_post_meta( get_the_ID(), 'mt-price', TRUE ); 
             
			$output .= '<div class="col-1-' . $columns . ' mt-column-clear"><div class="menu-item traditional">';
			
            $output .=	'<h5>'.get_the_title().'</h5>';
			 
            $output .=	'<p>'.get_the_content().'</p>'; 
			
			
			if ( get_post_meta( get_the_ID(), 'mt-price', TRUE ) ): 
			$output .=	'<span class="price">'. wp_kses_post( $post_meta_price ) . '</span>';
			endif; 
			
			
            $output .= '</div></div>';
			
			endif;

        }
		
		$output .= '</div></section>';
		
    }
	
    else
        $output = __( 'Sorry, No menu yet!', 'mtmenu' );     
	
	
	wp_reset_postdata();
	
	     
    return $output; 
}


add_shortcode( 'menu', 'mt_menu_shortcode' );

?>