<?php
/*
Plugin Name: Menu by ModernThemes
Plugin URI: http://modernthemes.net/plugins/menu
Description: This is a plugin by ModernThemes that adds a Menu to select themes.
Version: 1.0.0
Author: ModernThemes
Author URI: http://modernthemes.net/
License: GPL2
Text Domain: mtmenu 
Domain Path: /languages/
*/


require 'plugin-updates/plugin-update-checker.php';  
$MyUpdateChecker = PucFactory::buildUpdateChecker(
'http://modernthemes.net/updates/?action=get_metadata&slug=mt_menu', //Metadata URL.
__FILE__, //Full path to the main plugin file. 
'mt_menu' //Plugin slug
);


add_action('admin_init', 'mt_menusettings_flush' );

function mt_menusettings_flush(){ 

		if ( isset( $_POST['mt_menusettings_options'] ) ) {


			flush_rewrite_rules();
		
		}

}

/* Paths for Files */
$mt_menu_main_file = dirname(__FILE__).'/menu-by-mt.php';
$mt_menu_directory = plugin_dir_url($mt_menu_main_file);
$mt_menu_path = dirname(__FILE__);

/* Add css and scripts file */ 
function mt_menu_add_scripts() {
	global $mt_menu_directory, $mt_menu_path; 
	
	wp_enqueue_style('mt-menu-style-css', $mt_menu_directory.'css/mt-menu-style.css');  
		  
}
		
add_action('wp_enqueue_scripts', 'mt_menu_add_scripts');

class MT_Menu_Widgets {
	public function __construct() {
		add_action( 'widgets_init', array( $this, 'load' ), 9 );
		add_action( 'widgets_init', array( $this, 'init' ), 10 );
		register_uninstall_hook( __FILE__, array( __CLASS__, 'uninstall' ) ); 
	}

	public function load() {
		$dir = plugin_dir_path( __FILE__ );

		include_once( $dir . 'inc/mt-menu.php' );
		include_once( $dir . 'inc/shortcodes-mt-menu.php' );
		
		
	}

	public function init() {
		if ( ! is_blog_installed() ) {
			return;
		}

		load_plugin_textdomain( 'mtmenu', false, 'mt_menu/languages' ); 
	
	}

	public function uninstall() {}
}

$mt_menu_widgets = new MT_Menu_Widgets();